# Sticker - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files / Sticker

# Sticker

(common) `data class Sticker : TelegramMediaFile, SizedMediaFile, ThumbedMediaFile` (source)

### Constructors

(common)

#### <init>

`Sticker(fileId: FileId, fileUniqueId: FileUniqueId, width: Int, height: Int, thumb: PhotoSize? = null, emoji: String? = null, stickerSetName: StickerSetName? = null, isAnimated: Boolean = false, maskPosition: MaskPosition? = null, fileSize: Long? = null)`

### Properties

(common)

#### emoji

`val emoji: String?`

(common)

#### fileId

`val fileId: FileId`

(common)

#### fileSize

`val fileSize: Long?`

(common)

#### fileUniqueId

`val fileUniqueId: FileUniqueId`

(common)

#### height

`val height: Int`

(common)

#### isAnimated

`val isAnimated: Boolean`

(common)

#### maskPosition

`val maskPosition: MaskPosition?`

(common)

#### stickerSetName

`val stickerSetName: StickerSetName?`

(common)

#### thumb

`val thumb: PhotoSize?`

(common)

#### width

`val width: Int`